[Unstable Update x32] 2017-12-27 - Kernel 4.14.9, Calamares, vlc-nightly

x32-stable doesn't exist yet, but it will... some time... :no_mouth:

Updates will happen to this post as new packages are synced until the corresponding updates to x32-testing have been snapped to x32-stable, e.g.:

Unstable Testing Stable Threads
Sync New unstable
Sync Snap New testing, update unstable
Sync Update unstable
... ...
Sync Snap New testing, update unstable
... ... ...
Snap New stable, close testing and unstable
Sync New unstable
Sync Snap New testing, update unstable
etc. etc. etc. etc.

Updated packages

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux414             4.14.9-1             4.14.9-2
                    linux414-headers             4.14.9-1             4.14.9-2
                     manjaro-release            17.1rc3-1            17.1rc4-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              dialog     1:1.3_20170509-1   1:1.3_20171209-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                           calamares              3.1.9-1             3.1.11-9
                       calamares-git3.2.0.r4158.f131c96c0-13.2.0.r4261.138fd82a8-1
         grub-theme-live-manjaro-dev               17.1-5              17.1-10
               grub-theme-live-sonar               17.1-5              17.1-10
                         libxpresent              1.0.0-1   1.0.0+2+gdd6771c-1
            manjaro-documentation-fr           20171125-1           20171128-1
                          xfwm4-gtk3             4.13.0-7             4.13.0-8
          grub-theme-live-common-dev                    -              17.1-10
                        linux316-spl                    -           0.7.5-1.51
                        linux316-zfs                    -           0.7.5-1.51
                         linux41-spl                    -           0.7.5-1.48
                         linux41-zfs                    -           0.7.5-1.48
                    mesa-wayland-dri                    -             17.3.1-1
                           spl-utils                    -              0.7.5-1
                           zfs-utils                    -              0.7.5-1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            composer            1.5.5-1.0            1.5.6-1.0
                                fcgi             2.4.0-12           2.4.0-13.0
                             fig2dev              3.2.6-1                    -
                             getmail                5.4-1              5.5-1.0
                               gpart                0.3-1              0.3-2.0
                     libunicodenames              1.2.0-1            1.2.2-1.0
                          live-media         2017.06.04-1       2017.10.28-1.0
                              openmp              5.0.0-1            5.0.1-1.0
                    perl-archive-zip               1.59-5             1.60-1.0
                   perl-http-message               6.13-2             6.14-1.0
                        perl-net-dns               1.13-1             1.14-1.0
                   publicsuffix-list20170804.619.e8c69a6-120171218.632.85fa8fb-1.0
                               tclap              1.2.1-3                    -
                         terminology              1.1.0-1            1.1.1-1.0
                                vice                3.1-1              3.1-2.0
                               xsnow               1.42-6             1.42-7.0

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
           adapta-black-breath-theme          3.92.2.40-1          3.92.2.57-1
             adapta-black-maia-theme          3.92.2.40-1          3.92.2.57-1
                 adapta-breath-theme          3.92.2.40-1          3.92.2.57-1
                    adapta-gtk-theme          3.92.2.40-1          3.92.2.57-1
                   adapta-maia-theme          3.92.2.40-1          3.92.2.57-1
  gnome-shell-extension-dash-to-dock                 61-1                 62-1
gnome-shell-extension-manjaro-update                3.2-3                3.3-1
    manjaro-gnome-extension-settings           20171224-1           20171228-1
              manjaro-gnome-settings           20171224-1           20171228-1
       manjaro-xfce-minimal-settings           20171214-2           20171228-1
               manjaro-xfce-settings           20171214-2           20171228-1
                         vlc-nightly     3.0.0v20171216-1     3.0.0v20171227-1
                   vlc-nightly-debug     3.0.0v20171216-1     3.0.0v20171227-1
                             kpmcore                    -              3.3.0-1
                    partitionmanager                    -              3.3.0-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                           aspell-pl           20160809-1         20171220-1.0
                                  at             3.1.20-3           3.1.20-4.0
                           auditbeat            6.0.1-1.0            6.1.1-1.0
                            backuppc              4.1.3-4            4.1.5-2.0
                             benzene              1.2.2-1         20130630-1.0
                             chicken             4.12.0-2           4.13.0-1.0
                              consul              1.0.1-1            1.0.2-1.0
                           ctemplate                2.3-4              2.3-5.0
                                dart             1.24.2-1           1.24.3-1.0
                               dmenu                4.7-1              4.7-2.0
                              elixir              1.5.2-1            1.5.3-1.0
                              erlang               20.1-1             20.2-1.1
                          erlang-nox             20.0.1-1             20.2-1.0
                     erlang-unixodbc               20.1-1             20.2-1.1
                             esptool              2.0.1-1              2.2-1.0
                            filebeat            6.0.1-1.0            6.1.1-1.0
                    firefox-noscript           10.1.2-1.0           10.1.6-1.0
                            firejail             0.9.50-1           0.9.52-1.0
                            gcc-docs              6.3.0-1            7.2.0-1.0
                           gengetopt             2.22.6-6           2.22.6-7.0
                            geogebra          5.0.400.0-1        5.0.414.0-1.0
                              glider              0.4.1-2            0.4.3-1.0
                        gtkimageview              1.6.4-4            1.6.4-5.0
                haskell-tasty-golden          2.3.1.1-4.0          2.3.1.2-1.0
                   heartbeat-elastic            6.0.1-1.0            6.1.1-1.0
                              hidapi           0.8.0rc1-2         0.8.0rc1-3.0
                             libdnet               1.12-9            1.12-10.0
                              libgig              4.0.0-2            4.1.0-1.0
                           libhomfly           1.02r4-1.0           1.02r5-1.0
                        linuxsampler              2.0.0-4            2.1.0-1.0
                                mcqd                1.0-3            1.0.0-1.0
                           mediawiki             1.29.2-1           1.30.0-1.0
                      mediawiki-math             1.29.2-1           1.30.0-1.0
                          metricbeat            6.0.1-1.0            6.1.1-1.0
                             nanomsg              1.1.0-1            1.1.2-1.0
                             neomutt           20171013-2         20171215-1.0
                        oath-toolkit              2.6.2-1            2.6.2-2.0
                          packetbeat            6.0.1-1.0            6.1.1-1.0
                            pacutils              0.6.0-1            0.6.1-1.0
                         par2cmdline              0.7.4-1            0.8.0-1.0
                           perl-json               2.90-2          2.97000-1.0
                     perl-term-table              0.010-1            0.012-1.0
                       phpvirtualbox              5.0_5-2         5.2_0rc1-2.0
                         python-docs              3.6.3-1            3.6.4-1.0
                      python2-btchip             0.1.20-2           0.1.24-2.0
                              rustup            1.7.0-1.0            1.8.0-1.0
                             sthttpd             2.27.0-3           2.27.1-1.0
                               tdlib              0.5.0-1            0.5.0-2.0
                          teamspeak3              3.1.6-1            3.1.7-2.0
                            three.js                r88-1              r89-1.0
                virtualbox-guest-iso            5.2.2-1.0            5.2.4-1.0
                             wings3d              2.1.5-3            2.1.5-6.0
                       xcursor-comix              0.9.0-1            0.9.0-2.0
                           erlang200                    -             20.0-1.0
                  erlang200-unixodbc                    -             20.0-1.0
                             fig2dev                    -            3.2.6-1.1
                         haskell-url                    -            2.1.3-1.0
                       python-btchip                    -           0.1.24-2.0
                            range-v3                    -            0.3.0-2.0
                               tclap                    -            1.2.1-4.0

Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


3 Likes

I've just pushed a signifiant package - Calamares.

This could do with some testing but it will be a bit of a faff booting from a 17.0.6 installer, switching it to manjaro32, updating Calamares, then trying an install... so if you do I'll send you hugs. :kissing_heart:

/me goes to download a 32-bit 17.0.6 Xfce installer for a testing VM...

I will do, but not hugs, please. :face_with_hand_over_mouth:
Will it work with Calamares Netinstaller? The LXQt edition, you know?
BTW: Maybe a good idea for manjaro32 to use netinstall ISOs, less frequent builds.

TOO LATE:

https://www.haskell.org/hugs/

  • Lazy evaluation ...

sounds good

But what about netinstall?

And linux414 4.14.9-2 works.

Oh, I don't know yet. I assume it will work in the same way as before, and as the 64-bit installer.

Once the x32-stable branch is in place and the migration script is available a real installer image is the next thing.

Testing manjaro-17.0.5-stable-i686.iso now. At least setting a mirror in /etc/pacman.d/mirrorlist to x32-unstable instead of stable, updating first the manjaro-keyring, then archlinux32-keyring-transition, then archlinux-keyring worked. Updated pacman-mirrors package and it creates a mirrorlist with x32-* as @linux-aarhus promised.:+1:
But updating calamares alone didn't work, it will probably need a full upgrade, one dependency will pull the next.

[manjaro@manjaro ~]$ sudo -E calamares -d
calamares: error while loading shared libraries: libboost_python3.so.1.65.1: cannot open shared object file: No such file or directory

Update_1: After updating boost-libs calamares starts. But I get stuck at partitioning because I create the btrfs filesystem directly on /dev/sda without any partition, expert style. :man_facepalming:

Update_2: I'm using an SD card instead as target. Looks fine so far. Package selection works. Will install the minimum.

Update_3: It proceeds to formatting the target partition, installs the system folders and fails with this error message:

Boost.Python error in job "chrootcfg".
<class 'AttributeError'>
'list' object has no attribute 'keys'
Traceback:
  File "/usr/lib/calamares/modules/chrootcfg/main.py", line 295, in run
    return targetRoot.run()

  File "/usr/lib/calamares/modules/chrootcfg/main.py", line 284, in run
    return pacman.run()

  File "/usr/lib/calamares/modules/chrootcfg/main.py", line 199, in run
    for key in self.operations.keys():

2017-12-28-013536_1024x600_scrot

1 Like

Ah righty, it's going to need a full new installer image. That's good to know.

I'll test the manjaro-system PR I put together for automatic migration.

I think you are making it more difficult than needed :slight_smile:

If you push pacman-mirrors 4.7 to you old x32 repo - it will install and switch to x32 - no hazzle

When I tested the changes to pacman-mirrors

  • a new install using default 17.0.6 installer
  • upgrade pacman-mirrors sudo pacman -Syy pacman-mirrors

And when upgrade is done - cat /etc/pacman-mirrors.conf - switched to x32-stable

Then sudo pacman-mirrors -aBunstable and cat /etc/pacman-mirrors.conf - switched to to x32-unstable

That is simple :question:

1 Like

So in other words, if people get the new pacman-mirrors installed on v17.0.6 it will switch to x32 repos automatically? So maybe the only user interaction would be then:

sudo pacman -U http://repo.manjaro.org.uk/pool/overlay/pacman-mirrors-4.7.0-1-any.pkg.tar.xz

However you might still need to install a keyring.

@jonathon: was partitionmanager v3.3 also added? I only see kpmcore v3.3.

I don't think so Nope It has now; should that be a dep of calamares?

Also, does calamares need to be rebuilt against partitionmanager=3.3 ?


Yeah, I was thinking of making this as automated as possible for existing systems (hence PR#101), though if there aren't many left maybe it's not needed.

Spot on!

If a x32-stable repo is present on the mirrors then the only thing - at least package wise as I don't know about keyring - is to guide them to install pacman-mirrors 4.7.

It will be completely transparent as pacman-mirrors will handle the change internal and make the change to the conf.

No, it only relies on kpmcore.

This set became:

and might well become:

dialog update didn't break manjaro-architect-launcher (and no one uses netctl)

1 Like

This topic was automatically closed after 30 hours. New replies are no longer allowed.

Forum kindly sponsored by